summaryrefslogtreecommitdiffstats
path: root/external/poky/meta/recipes-devtools/tcltk/tcl/run-ptest
diff options
context:
space:
mode:
authorToshikazuOhiwa <toshikazu_ohiwa@mail.toyota.co.jp>2020-03-30 09:24:26 +0900
committerToshikazuOhiwa <toshikazu_ohiwa@mail.toyota.co.jp>2020-03-30 09:24:26 +0900
commit5b80bfd7bffd4c20d80b7c70a7130529e9a755dd (patch)
treeb4bb18dcd1487dbf1ea8127e5671b7bb2eded033 /external/poky/meta/recipes-devtools/tcltk/tcl/run-ptest
parent706ad73eb02caf8532deaf5d38995bd258725cb8 (diff)
agl-basesystem
Diffstat (limited to 'external/poky/meta/recipes-devtools/tcltk/tcl/run-ptest')
-rw-r--r--external/poky/meta/recipes-devtools/tcltk/tcl/run-ptest8
1 files changed, 8 insertions, 0 deletions
diff --git a/external/poky/meta/recipes-devtools/tcltk/tcl/run-ptest b/external/poky/meta/recipes-devtools/tcltk/tcl/run-ptest
new file mode 100644
index 00000000..dadba655
--- /dev/null
+++ b/external/poky/meta/recipes-devtools/tcltk/tcl/run-ptest
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+for i in `ls tests/*.test |awk -F/ '{print $2}'`; \
+ do TCL_LIBRARY=library ./tcltest tests/all.tcl -file $i >$i.tmp 2>&1; \
+ grep -q "^Files with failing tests:" $i.tmp; \
+ if [ $? -eq 0 ]; then echo "FAIL: $i"; \
+ else echo "PASS: $i"; rm -f $i.tmp; fi; \
+done